search cancel

Error when I try to import dashboards from old environment

book

Article ID: 133338

calendar_today

Updated On:

Products

DX Unified Infrastructure Management (Nimsoft / UIM) Portal

Issue/Introduction

I have exported some dashboards from an old environment but when I try to import them into the new one, I get the following error:

"Import failed (probably a bad dashboard definition). Actual Reason: Background image was specified, but none was found in import package"

Old environment: 8.5.1

New environment: 9.0.2 (clean installation)


Cause

Dashboards exported from a specific version of UMP can only be imported to the same version of UMP.

Environment

Release:


Component:

Resolution

Unfortunately it is not possible to import older versions of dashboards onto a newer UIM system.

The only way to accomplish this is to upgrade the older system to the same version as the new,  then export the dashboards from the upgraded 9.02 system and import them to the new one. 

If this is not possible, for example you need to preserve the old system, then you can also set up a new (older version) system on a new set of virtual machines, then export the dashboards from the old system to the fresh system. Then you can proceed to upgrade the fresh system to the newer release, then export the dashboards from there.

For example, if you have a UMP 8.51 system and need the dashboards to be imported to 9.02, you must either:

- upgrade the 8.51 system to 9.02 before exporting the dashboards

or

- set up a new 8.51 system, export the dashboards from the old production system and import them to this new system, and then upgrade the new system to 9.02 before exporting the dashboards.

Additional Information

This behaviour is same for heigher version of UIM as well .ex  :9.02 to 20.4